LibreOffice: Endnote Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Included Services | List of all members
Endnote Service Referencepublished

This service specifies a an endnote in a TextDocument. More...

`import"Endnote.idl";`

Inheritance diagram for Endnote:

## Included Services
service | Footnote

## Additional Inherited Members
Exported Interfaces inherited from Footnote
interface | com::sun::star::text::XFootnote
| provides access to the footnote label, which is the anchor text range. More...
interface | com::sun::star::text::XText
| provides access to the text of the footnote (or endnote). More...
Public Member Functions inherited from XFootnote
string | getLabel ()
void | setLabel ([in] string aLabel)
| sets the label of the footnote. More...
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XText
void | insertTextContent ([in] com::sun::star::text::XTextRange xRange, [in] com::sun::star::text::XTextContent xContent, [in] boolean bAbsorb) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts a content, such as a text table, text frame or text field. More...
void | removeTextContent ([in] com::sun::star::text::XTextContent xContent) raises ( com::sun::star::container::NoSuchElementException )
| removes the specified content from the text object. More...
Public Member Functions inherited from XSimpleText
com::sun::star::text::XTextCursor | createTextCursor ()
com::sun::star::text::XTextCursor | createTextCursorByRange ([in] com::sun::star::text::XTextRange aTextPosition)
void | insertString ([in] com::sun::star::text::XTextRange xRange, [in] string aString, [in] boolean bAbsorb)
| inserts a string of characters into the text. More...
void | insertControlCharacter ([in] com::sun::star::text::XTextRange xRange, [in] short nControlCharacter, [in] boolean bAbsorb) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts a control character (like a paragraph break or a hard space) into the text. More...
Public Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced. More...
Public Attributes inherited from Footnote
short | ReferenceId
| contains an internal identifier for the use as SequenceNumber property in reference fields. More...

## Detailed Description

This service specifies a an endnote in a TextDocument.

## Exported Interfaces

service Footnote

The documentation for this service was generated from the following file:

- com/sun/star/text/Endnote.idl